For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data Volume List

This API is used to get a list of data volumes

get
Authorizations
AuthorizationstringRequired

Type 'Bearer ' followed by your JWT token. Example: "Bearer eyJhbGciOi..."

Query parameters
project_idstringRequired

Project ID

pagestringOptional

Page

limitstringOptional

Limit

searchstringOptional

Search

Responses
200

Successful Response

application/json
codeintegerOptionalExample: 200
messagestringOptionalExample: Success
get/core/datavolume
GET /core/datavolume?project_id=text HTTP/1.1
Host: ai.cloudeka.id/
Authorization: YOUR_API_KEY
Accept: */*
200

Successful Response

{
  "code": 200,
  "data": {
    "datavolume": [
      {
        "age": "text",
        "name": "text",
        "namespace": "text",
        "phase": "text",
        "progress": "text",
        "raw": null,
        "restarts": 1
      }
    ],
    "message": "text",
    "pagination": {
      "count": 1,
      "page": 1,
      "totalpage": 1
    },
    "status": "text"
  },
  "message": "Success"
}

Last updated